Conda not installing or searching packages

by Gabriel Amorim   Last Updated August 14, 2019 01:01 AM

I'm trying to install numpy and biopython using conda, but every time I try it gives me an Error. I had no previous issues with it as iI have already installed some packages but suddenly this happened, I was using conda 4.16 and thought it might have been a version related problem so I updated to 4.17.10 but the issue is there. If worthy mention I use the Windows Subsystem for Linux.

Collecting package metadata (current_repodata.json): failed

# >>>>>>>>>>>>>>>>>>>>>> ERROR REPORT <<<<<<<<<<<<<<<<<<<<<<

    Traceback (most recent call last):
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/gateways/connection/session.py", line 52, in __call__
        return cls._thread_local.session
    AttributeError: '_thread._local' object has no attribute 'session'

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1062, in __call__
        return func(*args, **kwargs)
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/cli/main.py", line 84, in _main
        exit_code = do_call(args, p)
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/cli/conda_argparse.py", line 82, in do_call
        exit_code = getattr(module, func_name)(args, parser)
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/cli/main_install.py", line 20, in execute
        install(args, parser, 'install')
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/cli/install.py", line 256, in install
        force_reinstall=context.force_reinstall or context.force,
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 112, in solve_for_transaction
        force_remove, force_reinstall)
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 150, in solve_for_diff
        force_remove)
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 249, in solve_final_state
        ssc = self._collect_all_metadata(ssc)
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/common/io.py", line 88, in decorated
        return f(*args, **kwds)
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 389, in _collect_all_metadata
        index, r = self._prepare(prepared_specs)
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 974, in _prepare
        self.subdirs, prepared_specs, self._repodata_fn)
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/core/index.py", line 214, in get_reduced_index
        repodata_fn=repodata_fn)
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/core/subdir_data.py", line 91, in query_all
        result = tuple(concat(executor.map(subdir_query, channel_urls)))
      File "/home/bielasilva/miniconda3/lib/python3.7/concurrent/futures/_base.py", line 586, in result_iterator
        yield fs.pop().result()
      File "/home/bielasilva/miniconda3/lib/python3.7/concurrent/futures/_base.py", line 425, in result
        return self.__get_result()
      File "/home/bielasilva/miniconda3/lib/python3.7/concurrent/futures/_base.py", line 384, in __get_result
        raise self._exception
      File "/home/bielasilva/miniconda3/lib/python3.7/concurrent/futures/thread.py", line 57, in run
        result = self.fn(*self.args, **self.kwargs)
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/core/subdir_data.py", line 87, in <lambda>
        package_ref_or_match_spec))
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/core/subdir_data.py", line 96, in query
        self.load()
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/core/subdir_data.py", line 160, in load
        _internal_state = self._load()
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/core/subdir_data.py", line 234, in _load
        repodata_fn=self.repodata_fn)
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/core/subdir_data.py", line 456, in fetch_repodata_remote_request
        session = CondaSession()
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/gateways/connection/session.py", line 54, in __call__
        session = cls._thread_local.session = super(CondaSessionType, cls).__call__()
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/gateways/connection/session.py", line 85, in __init__
        self.headers['User-Agent'] = context.user_agent
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/_vendor/auxlib/decorators.py", line 268, in new_fget
        cache[inner_attname] = func(self)
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/base/context.py", line 648, in user_agent
        builder.append("%s/%s" % self.os_distribution_name_version)
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/_vendor/auxlib/decorators.py", line 268, in new_fget
        cache[inner_attname] = func(self)
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/base/context.py", line 690, in os_distribution_name_version
        from .._vendor.distro import id, version
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/_vendor/distro.py", line 1084, in <module>
        _distro = LinuxDistribution()
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/_vendor/distro.py", line 600, in __init__
        if include_lsb else {}
      File "/home/bielasilva/miniconda3/lib/python3.7/site-packages/conda/_vendor/distro.py", line 943, in _get_lsb_release_info
        raise subprocess.CalledProcessError(code, cmd, stdout, stderr)
    subprocess.CalledProcessError: Command 'lsb_release -a' returned non-zero exit status 1.

`$ /home/bielasilva/miniconda3/bin/conda install modeller`

  environment variables:
                 CIO_TEST=<not set>
                CONDA_EXE=/home/bielasilva/miniconda3/bin/conda
         CONDA_PYTHON_EXE=/home/bielasilva/miniconda3/bin/python
               CONDA_ROOT=/home/bielasilva/miniconda3
              CONDA_SHLVL=0
                     PATH=/home/bielasilva/miniconda3/bin:/home/bielasilva/miniconda3/condabin:/
                          usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
                          :/usr/local/games:/mnt/c/WINDOWS/system32:/mnt/c/WINDOWS:/mnt/c/WINDOW
                          S/System32/Wbem:/mnt/c/WINDOWS/System32/WindowsPowerShell/v1.0/:/mnt/c
                          /WINDOWS/System32/OpenSSH/:/mnt/c/Program Files (x86)/NVIDIA
                          Corporation/PhysX/Common:/mnt/c/Program Files/NVIDIA
                          Corporation/NVIDIA NvDLISR:/mnt/c/WINDOWS/system32:/mnt/c/WINDOWS:/mnt
                          /c/WINDOWS/System32/Wbem:/mnt/c/WINDOWS/System32/WindowsPowerShell/v1.
                          0/:/mnt/c/WINDOWS/System32/OpenSSH/:/mnt/c/Program
                          Files/Git/cmd:/mnt/c/Program Files/MEGA-X:/mnt/c/Users/gaasi/AppData/L
                          ocal/Programs/Python/Python37/Scripts/:/mnt/c/Users/gaasi/AppData/Loca
                          l/Programs/Python/Python37/:/mnt/c/Users/gaasi/AppData/Local/Microsoft
                          /WindowsApps:/mnt/c/Users/gaasi/AppData/Local/Programs/Microsoft VS
                          Code/bin:/snap/bin
       REQUESTS_CA_BUNDLE=<not set>
            SSL_CERT_FILE=<not set>

     active environment : None
            shell level : 0
       user config file : /home/bielasilva/.condarc
 populated config files : /home/bielasilva/.condarc
          conda version : 4.7.10
    conda-build version : not installed
         python version : 3.7.3.final.0
       virtual packages :
       base environment : /home/bielasilva/miniconda3  (writable)
           channel URLs : https://conda.anaconda.org/salilab/linux-64
                          https://conda.anaconda.org/salilab/noarch
                          https://repo.anaconda.com/pkgs/main/linux-64
                          https://repo.anaconda.com/pkgs/main/noarch
                          https://repo.anaconda.com/pkgs/r/linux-64
                          https://repo.anaconda.com/pkgs/r/noarch
          package cache : /home/bielasilva/miniconda3/pkgs
                          /home/bielasilva/.conda/pkgs
       envs directories : /home/bielasilva/miniconda3/envs
                          /home/bielasilva/.conda/envs
               platform : linux-64
             user-agent : conda/4.7.10 requests/2.22.0 CPython/3.7.3 Linux/4.4.0-18362-Microsoft Linux/unknown glibc/2.27
                UID:GID : 1000:1000
             netrc file : None
           offline mode : False


An unexpected error has occurred. Conda has prepared the above report.

If submitted, this report will be used by core maintainers to improve
future releases of conda.
Would you like conda to send this report to the core maintainers?

How can i solve this??



Related Questions


R kernel instantly crashes on Jupyter with WSL

Updated January 09, 2019 22:01 PM



conda error : install package

Updated July 01, 2019 14:01 PM